------------------------------------------------------------
revno: 9817
revision-id: squid3@treenet.co.nz-20091130104326-sx03kjpv3poat36v
parent: squid3@treenet.co.nz-20091130102702-espxty1qplmzt06u
committer: Amos Jeffries <squid3@treenet.co.nz>
branch nick: SQUID_3_1
timestamp: Mon 2009-11-30 23:43:26 +1300
message:
  Author: Francesco Chemolli <kinkie@squid-cache.org>
  Fixed some variable shadowing.
------------------------------------------------------------
# Bazaar merge directive format 2 (Bazaar 0.90)
# revision_id: squid3@treenet.co.nz-20091130104326-sx03kjpv3poat36v
# target_branch: http://www.squid-cache.org/bzr/squid3/trunk/
# testament_sha1: 181500120a8367ef39bd8ca8f48af68df8616e44
# timestamp: 2009-11-30 10:51:40 +0000
# source_branch: http://www.squid-cache.org/bzr/squid3/branches\
#   /SQUID_3_1
# base_revision_id: squid3@treenet.co.nz-20091130102702-\
#   espxty1qplmzt06u
# 
# Begin patch
=== modified file 'src/cbdata.cc'
--- src/cbdata.cc	2009-02-01 10:09:23 +0000
+++ src/cbdata.cc	2009-11-30 10:43:26 +0000
@@ -111,11 +111,11 @@
     cbdata_type type;
 #if CBDATA_DEBUG
 
-    void addHistory(char const *label, char const *file, int line) {
+    void addHistory(char const *label, char const *aFile, int aLine) {
         if (calls.size() > 1000)
             return;
 
-        calls.push_back(new CBDataCall(label, file, line));
+        calls.push_back(new CBDataCall(label, aFile, aLine));
     }
 
     dlink_node link;
@@ -126,7 +126,7 @@
 
     /* cookie used while debugging */
     long cookie;
-    void check(int line) const {assert(cookie == ((long)this ^ Cookie));}
+    void check(int aLine) const {assert(cookie == ((long)this ^ Cookie));}
     static const long Cookie;
 
 #if !HASHED_CBDATA

=== modified file 'src/client_side_reply.cc'
--- src/client_side_reply.cc	2009-11-21 11:01:43 +0000
+++ src/client_side_reply.cc	2009-11-30 10:43:26 +0000
@@ -357,13 +357,14 @@
     HttpReply *old_rep = (HttpReply *) old_entry->getReply();
 
     // origin replied 304
-
+    // TODO FIXME: old_rep2 was forcibly unshadowed, used to be old_rep. Are we sure
+    //  that the right semantics were preserved?
     if (status == HTTP_NOT_MODIFIED) {
         http->logType = LOG_TCP_REFRESH_UNMODIFIED;
 
         // update headers on existing entry
-        HttpReply *old_rep = (HttpReply *) old_entry->getReply();
-        old_rep->updateOnNotModified(http->storeEntry()->getReply());
+        HttpReply *old_rep2 = (HttpReply *) old_entry->getReply();
+        old_rep2->updateOnNotModified(http->storeEntry()->getReply());
         old_entry->timestampsSet();
 
         // if client sent IMS
@@ -375,7 +376,7 @@
         } else {
             // send existing entry, it's still valid
             debugs(88, 3, "handleIMSReply: origin replied 304, revalidating existing entry and sending " <<
-                   old_rep->sline.status << " to client");
+                   old_rep2->sline.status << " to client");
             sendClientOldEntry();
         }
     }

=== modified file 'src/forward.cc'
--- src/forward.cc	2009-11-21 11:01:43 +0000
+++ src/forward.cc	2009-11-30 10:43:26 +0000
@@ -992,9 +992,9 @@
                  * prepared in the kernel by the ZPH incoming TCP TOS preserving
                  * patch.
                  */
-                unsigned char * p = buf;
-                while (p-buf < len) {
-                    struct cmsghdr *o = (struct cmsghdr*)p;
+                unsigned char * pbuf = buf;
+                while (pbuf-buf < len) {
+                    struct cmsghdr *o = (struct cmsghdr*)pbuf;
                     if (o->cmsg_len<=0)
                         break;
 
@@ -1002,7 +1002,7 @@
                         clientFde->upstreamTOS = (unsigned char)(*(int*)CMSG_DATA(o));
                         break;
                     }
-                    p += CMSG_LEN(o->cmsg_len);
+                    pbuf += CMSG_LEN(o->cmsg_len);
                 }
             } else {
                 debugs(33, 1, "ZPH: error in getsockopt(IP_PKTOPTIONS) on FD "<<server_fd<<" "<<xstrerror());

